- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IMappedStatement
TCachingStatement
TDeleteMappedStatement
TInsertMappedStatement
TMappedStatement
TPostSelectBinding
TPreparedCommand
TPreparedStatement
TPreparedStatementFactory
TResultSetListItemParameter
TResultSetMapItemParameter
TSelectMappedStatement
TSimpleDynamicSql
TSqlMapObjectCollectionTree
TSqlMapSelect
TStaticSql
TUpdateMappedStatement

Keyword

# Class TPreparedCommand

TPreparedCommand class.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
protected void | applyParameterMap ( mixed $manager, mixed $command, mixed $prepared, mixed $statement, mixed $parameterObject)
void | create ( TSqlMapManager $manager, mixed $connection, mixed $statement, mixed $parameterObject, mixed $skip, mixed $max)

Method Details

## applyParameterMap

protected void applyParameterMap | (mixed $manager , mixed $command , mixed $prepared , mixed $statement , mixed $parameterObject )

Input
mixed | $manager |
mixed | $command |
mixed | $prepared |
mixed | $statement |
mixed | $parameterObject |
Output
Exception

## create

public void create | (TSqlMapManager $manager , mixed $connection , mixed $statement , mixed $parameterObject , mixed $skip , mixed $max )

Input
TSqlMapManager | $manager |
mixed | $connection |
mixed | $statement |
mixed | $parameterObject |
mixed | $skip |
mixed | $max |
Output
Exception